## h2o 2.2.4%2Bdfsg

=== tests/CMakeLists.txt ===
include_directories(
	.
	../include
	../include/compat
	../crypto/modes
	../crypto/asn1
	../ssl
	../apps/openssl
	../apps/openssl/compat
)

# aeadtest
add_executable(aeadtest aeadtest.c)
target_link_libraries(aeadtest ${OPENSSL_LIBS})
add_test(aeadtest ${CMAKE_CURRENT_SOURCE_DIR}/aeadtest.sh)
set_tests_properties(aeadtest PROPERTIES ENVIRONMENT "srcdir=${CMAKE_CURRENT_SOURCE_DIR}")

# aes_wrap
add_executable(aes_wrap aes_wrap.c)
target_link_libraries(aes_wrap ${OPENSSL_LIBS})
add_test(aes_wrap aes_wrap)

# arc4randomforktest
# Windows/mingw does not have fork, but Cygwin does.
if(NOT CMAKE_HOST_WIN32 AND NOT CMAKE_SYSTEM_NAME MATCHES "MINGW")
add_executable(arc4randomforktest arc4randomforktest.c)
target_link_libraries(arc4randomforktest ${OPENSSL_LIBS})
add_test(arc4randomforktest ${CMAKE_CURRENT_SOURCE_DIR}/arc4randomforktest.sh)
endif()

# asn1test
add_executable(asn1test asn1test.c)
target_link_libraries(asn1test ${OPENSSL_LIBS})
add_test(asn1test asn1test)

# asn1time
add_executable(asn1time asn1time.c)
target_link_libraries(asn1time ${OPENSSL_LIBS})
add_test(asn1time asn1time)

# base64test
add_executable(base64test base64test.c)
target_link_libraries(base64test ${OPENSSL_LIBS})
add_test(base64test base64test)

# bftest
add_executable(bftest bftest.c)
target_link_libraries(bftest ${OPENSSL_LIBS})
add_test(bftest bftest)

# biotest
# the BIO tests rely on resolver results that are OS and environment-specific
if(ENABLE_EXTRATESTS)
	add_executable(biotest biotest.c)
	target_link_libraries(biotest ${OPENSSL_LIBS})
	add_test(biotest biotest)
endif()

# bntest
add_executable(bntest bntest.c)
target_link_libraries(bntest ${OPENSSL_LIBS})
add_test(bntest bntest)

# bytestringtest
add_executable(bytestringtest bytestringtest.c)
target_link_libraries(bytestringtest ${OPENSSL_LIBS})
add_test(bytestringtest bytestringtest)

# casttest
add_executable(casttest casttest.c)
target_link_libraries(casttest ${OPENSSL_LIBS})
add_test(casttest casttest)

# chachatest
add_executable(chachatest chachatest.c)
target_link_libraries(chachatest ${OPENSSL_LIBS})
add_test(chachatest chachatest)

# cipher_list
add_executable(cipher_list cipher_list.c)
target_link_libraries(cipher_list ${OPENSSL_LIBS})
add_test(cipher_list cipher_list)

# cipherstest
add_executable(cipherstest cipherstest.c)
target_link_libraries(cipherstest ${OPENSSL_LIBS})
add_test(cipherstest cipherstest)

# clienttest
add_executable(clienttest clienttest.c)
target_link_libraries(clienttest ${OPENSSL_LIBS})
add_test(clienttest clienttest)

# cts128test
add_executable(cts128test cts128test.c)
target_link_libraries(cts128test ${OPENSSL_LIBS})
add_test(cts128test cts128test)

# destest
add_executable(destest destest.c)
target_link_libraries(destest ${OPENSSL_LIBS})
add_test(destest destest)

# dhtest
add_executable(dhtest dhtest.c)
target_link_libraries(dhtest ${OPENSSL_LIBS})
add_test(dhtest dhtest)

# dsatest
add_executable(dsatest dsatest.c)
target_link_libraries(dsatest ${OPENSSL_LIBS})
add_test(dsatest dsatest)

# ecdhtest
add_executable(ecdhtest ecdhtest.c)
target_link_libraries(ecdhtest ${OPENSSL_LIBS})
add_test(ecdhtest ecdhtest)

# ecdsatest
add_executable(ecdsatest ecdsatest.c)
target_link_libraries(ecdsatest ${OPENSSL_LIBS})
add_test(ecdsatest ecdsatest)

# ectest
add_executable(ectest ectest.c)
target_link_libraries(ectest ${OPENSSL_LIBS})
add_test(ectest ectest)

# enginetest
add_executable(enginetest enginetest.c)
target_link_libraries(enginetest ${OPENSSL_LIBS})
add_test(enginetest enginetest)

# evptest
add_executable(evptest evptest.c)
target_link_libraries(evptest ${OPENSSL_LIBS})
add_test(evptest ${CMAKE_CURRENT_SOURCE_DIR}/evptest.sh)
set_tests_properties(evptest PROPERTIES ENVIRONMENT "srcdir=${CMAKE_CURRENT_SOURCE_DIR}")

# explicit_bzero
# explicit_bzero relies on SA_ONSTACK, which is unavailable on Windows
if(NOT CMAKE_HOST_WIN32)
if(HAVE_MEMMEM)
	add_executable(explicit_bzero explicit_bzero.c)
else()
	add_executable(explicit_bzero explicit_bzero.c memmem.c)
endif()
target_link_libraries(explicit_bzero ${OPENSSL_LIBS})
add_test(explicit_bzero explicit_bzero)
endif()

# exptest
add_executable(exptest exptest.c)
target_link_libraries(exptest ${OPENSSL_LIBS})
add_test(exptest exptest)

# gcm128test
add_executable(gcm128test gcm128test.c)
target_link_libraries(gcm128test ${OPENSSL_LIBS})
add_test(gcm128test gcm128test)

# gost2814789t
add_executable(gost2814789t gost2814789t.c)
target_link_libraries(gost2814789t ${OPENSSL_LIBS})
add_test(gost2814789t gost2814789t)

# hmactest
add_executable(hmactest hmactest.c)
target_link_libraries(hmactest ${OPENSSL_LIBS})
add_test(hmactest hmactest)

# ideatest
add_executable(ideatest ideatest.c)
target_link_libraries(ideatest ${OPENSSL_LIBS})
add_test(ideatest ideatest)

# igetest
add_executable(igetest igetest.c)
target_link_libraries(igetest ${OPENSSL_LIBS})
add_test(igetest igetest)

# md4test
add_executable(md4test md4test.c)
target_link_libraries(md4test ${OPENSSL_LIBS})
add_test(md4test md4test)

# md5test
add_executable(md5test md5test.c)
target_link_libraries(md5test ${OPENSSL_LIBS})
add_test(md5test md5test)

# mont
add_executable(mont mont.c)
target_link_libraries(mont ${OPENSSL_LIBS})
add_test(mont mont)

# ocsp_test
if(ENABLE_EXTRATESTS)
	if(NOT "${OPENSSLDIR}" STREQUAL "")
		add_definitions(-D_PATH_SSL_CA_FILE=\"${OPENSSLDIR}/cert.pem\")
	else()
		add_definitions(-D_PATH_SSL_CA_FILE=\"${CMAKE_INSTALL_PREFIX}/etc/ssl/cert.pem\")
	endif()
	add_executable(ocsp_test ocsp_test.c)
	target_link_libraries(ocsp_test ${OPENSSL_LIBS})
	add_test(ocsptest ${CMAKE_CURRENT_SOURCE_DIR}/ocsptest.sh)
	set_tests_properties(ocsptest PROPERTIES ENVIRONMENT "srcdir=${CMAKE_CURRENT_SOURCE_DIR}")
endif()

# optionstest
add_executable(optionstest optionstest.c)
target_link_libraries(optionstest ${OPENSSL_LIBS})
add_test(optionstest optionstest)

# pbkdf2
add_executable(pbkdf2 pbkdf2.c)
target_link_libraries(pbkdf2 ${OPENSSL_LIBS})
add_test(pbkdf2 pbkdf2)

# pidwraptest
# pidwraptest relies on an OS-specific way to give out pids and is generally
# awkward on systems with slow fork
if(ENABLE_EXTRATESTS)
	add_executable(pidwraptest pidwraptest.c)
	target_link_libraries(pidwraptest ${OPENSSL_LIBS})
	add_test(pidwraptest ${CMAKE_CURRENT_SOURCE_DIR}/pidwraptest.sh)
endif()

# pkcs7test
add_executable(pkcs7test pkcs7test.c)
target_link_libraries(pkcs7test ${OPENSSL_LIBS})
add_test(pkcs7test pkcs7test)

# poly1305test
add_executable(poly1305test poly1305test.c)
target_link_libraries(poly1305test ${OPENSSL_LIBS})
add_test(poly1305test poly1305test)

# pq_test
add_executable(pq_test pq_test.c)
target_link_libraries(pq_test ${OPENSSL_LIBS})
add_test(pq_test ${CMAKE_CURRENT_SOURCE_DIR}/pq_test.sh)
set_tests_properties(pq_test PROPERTIES ENVIRONMENT "srcdir=${CMAKE_CURRENT_SOURCE_DIR}")

# randtest
add_executable(randtest randtest.c)
target_link_libraries(randtest ${OPENSSL_LIBS})
add_test(randtest randtest)

# rc2test
add_executable(rc2test rc2test.c)
target_link_libraries(rc2test ${OPENSSL_LIBS})
add_test(rc2test rc2test)

# rc4test
add_executable(rc4test rc4test.c)
target_link_libraries(rc4test ${OPENSSL_LIBS})
add_test(rc4test rc4test)

# rfc5280time
add_executable(rfc5280time rfc5280time.c)
target_link_libraries(rfc5280time ${OPENSSL_LIBS})
if(SMALL_TIME_T)
	add_test(rfc5280time ${CMAKE_CURRENT_SOURCE_DIR}/rfc5280time_small.test)
else()
	add_test(rfc5280time rfc5280time)
endif()

# rmdtest
add_executable(rmdtest rmdtest.c)
target_link_libraries(rmdtest ${OPENSSL_LIBS})
add_test(rmdtest rmdtest)

# sha1test
add_executable(sha1test sha1test.c)
target_link_libraries(sha1test ${OPENSSL_LIBS})
add_test(sha1test sha1test)

# sha256test
add_executable(sha256test sha256test.c)
target_link_libraries(sha256test ${OPENSSL_LIBS})
add_test(sha256test sha256test)

# sha512test
add_executable(sha512test sha512test.c)
target_link_libraries(sha512test ${OPENSSL_LIBS})
add_test(sha512test sha512test)

# ssltest
add_executable(ssltest ssltest.c)
target_link_libraries(ssltest ${OPENSSL_LIBS})
add_test(ssltest ${CMAKE_CURRENT_SOURCE_DIR}/ssltest.sh)
set_tests_properties(ssltest PROPERTIES ENVIRONMENT "srcdir=${CMAKE_CURRENT_SOURCE_DIR}")

# testdsa
add_test(testdsa ${CMAKE_CURRENT_SOURCE_DIR}/testdsa.sh)
set_tests_properties(testdsa PROPERTIES ENVIRONMENT "srcdir=${CMAKE_CURRENT_SOURCE_DIR}")

# testenc
add_test(testenc ${CMAKE_CURRENT_SOURCE_DIR}/testenc.sh)
set_tests_properties(testenc PROPERTIES ENVIRONMENT "srcdir=${CMAKE_CURRENT_SOURCE_DIR}")

# testrsa
add_test(testrsa ${CMAKE_CURRENT_SOURCE_DIR}/testrsa.sh)
set_tests_properties(testrsa PROPERTIES ENVIRONMENT "srcdir=${CMAKE_CURRENT_SOURCE_DIR}")

# timingsafe
add_executable(timingsafe timingsafe.c)
target_link_libraries(timingsafe ${OPENSSL_LIBS})
add_test(timingsafe timingsafe)

# utf8test
add_executable(utf8test utf8test.c)
target_link_libraries(utf8test ${OPENSSL_LIBS})
add_test(utf8test utf8test)

# verifytest
add_executable(verifytest verifytest.c)
target_link_libraries(verifytest tls ${OPENSSL_LIBS})
add_test(verifytest verifytest)

## h2o 2.2.2+dfsg

=== debian/changelog ===
h2o (2.2.2+dfsg-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Anton Gladky <gladk@debian.org>  Thu, 28 Sep 2017 06:41:01 +0200

h2o (2.2.2+dfsg-2) unstable; urgency=medium

  * Fix FTBFS on platforms without 64-bit atomics (mips, powerpc and possibly
    others), by using a 32-bit unsigned int as connection ID.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 21 Sep 2017 21:50:25 +0300

h2o (2.2.2+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #873811)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 19 Sep 2017 12:45:21 +0300

=== debian/control ===
Source: h2o
Section: httpd
Priority: optional
Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Build-Depends:
 debhelper (>= 10),
 cmake,
 pkg-config,
 bison,
 ruby-dev,
 libyaml-dev,
 zlib1g-dev,
 libssl-dev,
 libio-socket-ssl-perl,
 libjson-perl,
 libpath-tiny-perl,
 libscope-guard-perl,
 libtest-exception-perl,
 libwslay-dev,
 curl,
 wget,
 netcat-openbsd,
 nghttp2-client,
 starlet,
 libuv1-dev
Standards-Version: 4.1.0
Homepage: https://h2o.examp1e.net
Vcs-Git: https://anonscm.debian.org/collab-maint/h2o.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/h2o.git

Package: h2o
Architecture: any
Depends: adduser, apache2-utils, ${misc:Depends}, ${shlibs:Depends}
Description: optimized HTTP/1.x, HTTP/2 server
 H2O is a new generation HTTP server that provides quicker response to users
 with less CPU utilization when compared to older web servers.  Designed from
 ground-up, the server takes full advantage of HTTP/2 features including
 prioritized content serving and server push.

Package: libh2o0.13
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: H2O library compiled with libuv
 H2O is a new generation HTTP server that provides quicker response to users
 with less CPU utilization when compared to older generation of web servers.
 Designed from ground-up, the server takes full advantage of HTTP/2 features
 including prioritized content serving and server push, promising outstanding
 experience to the visitors of your web site.
 .
 This package provides the H2O library compiled with libuv which allows you to
 link your own software to H2O

Package: libh2o-evloop0.13
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: H2O library compiled with its own event loop
 H2O is a new generation HTTP server that provides quicker response to users
 with less CPU utilization when compared to older generation of web servers.
 Designed from ground-up, the server takes full advantage of HTTP/2 features
 including prioritized content serving and server push, promising outstanding
 experience to the visitors of your web site.
 .
 This package provides the H2O library compiled with its own event loop which
 allows you to link your own software to H2O

Package: libh2o-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libh2o0.13 (= ${binary:Version}), libh2o-dev-common (= ${source:Version})
Description: dev helpers of the H2O library compiled with libuv
 H2O is a new generation HTTP server that provides quicker response to users
 with less CPU utilization when compared to older generation of web servers.
 Designed from ground-up, the server takes full advantage of HTTP/2 features
 including prioritized content serving and server push, promising outstanding
 experience to the visitors of your web site.
 .
 This package provides the development helpers of the H2O library compiled with
 libuv.

Package: libh2o-evloop-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libh2o-evloop0.13 (= ${binary:Version}), libh2o-dev-common (= ${source:Version})
Description: dev helpers of the H2O library compiled with its own event loop
 H2O is a new generation HTTP server that provides quicker response to users
 with less CPU utilization when compared to older generation of web servers.
 Designed from ground-up, the server takes full advantage of HTTP/2 features
 including prioritized content serving and server push, promising outstanding
 experience to the visitors of your web site.
 .
 This package provides the development helpers of the H2O library compiled with
 its own event loop.

Package: libh2o-dev-common
Architecture: all
Section: libdevel
Depends: ${misc:Depends}, libh2o0.13 (>= ${source:Version}) | libh2o-evloop0.13 (>= ${source:Version})
Description: H2O library headers
 H2O is a new generation HTTP server that provides quicker response to users
 with less CPU utilization when compared to older generation of web servers.
 Designed from ground-up, the server takes full advantage of HTTP/2 features
 including prioritized content serving and server push, promising outstanding
 experience to the visitors of your web site.
 .
 This package provides the H2O library headers needed by developers.

Package: h2o-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: optimized HTTP/1.x, HTTP/2 server - documentation
 H2O is a new generation HTTP server that provides quicker response to users
 with less CPU utilization when compared to older web servers.  Designed from
 ground-up, the server takes full advantage of HTTP/2 features including
 prioritized content serving and server push.
 .
 This package contains the server documentation.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# Enable all hardening flags
# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# Disable the following tests as they require network access
BAD_TESTS=10http1client 50reverse-proxy-added-headers 50reverse-proxy-https 80invalid-h2-chars-in-headers 40server-push

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_SYSCONFDIR=/etc/h2o -DWITH_BUNDLED_SSL=off -DWITH_MRUBY=on -DBUILD_SHARED_LIBS=on

override_dh_auto_test:
	for test in $(BAD_TESTS); do mv $(CURDIR)/t/$$test.t $(CURDIR)/t/$$test.disabled; done
	dh_auto_test
	for test in $(BAD_TESTS); do mv $(CURDIR)/t/$$test.disabled $(CURDIR)/t/$$test.t; done

override_dh_installinit:
	# Do not do a full restart, just a graceful reload
	dh_installinit --no-restart-on-upgrade

override_dh_missing:
	dh_missing --fail-missing

## h2o 2.2.3+dfsg

=== debian/changelog ===
h2o (2.2.3+dfsg-2) unstable; urgency=medium

  * Fix segfault on big-endian systems when reverse-proxying to HTTPS. This
    fixes FTBFS on s390x.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 27 Oct 2017 22:39:52 +0300

h2o (2.2.3+dfsg-1) unstable; urgency=medium

  * New upstream stable release.
  * Drop patches merged upstream.
    + Build-on-platforms-without-64-bit-atomics.patch
    + Fix-deadlock-in-setup_bio.patch
    + epoll-do-not-leak-epoll-fds-on-fork.patch
    + epoll-explicitly-delete-sockets-on-close.patch
  * New patch fixing Proc's in mruby handlers that reference outer-scope
    variables. Thanks to Tatsushi Demachi.
  * Refresh remaining patches.
  * Disable the new 50reverse-proxy-drop-headers test as it requires network
    access.
  * Fix upgrade reload logic: do not restart on upgrades, just reload.
  * Bump Standards to 4.1.1; no changes needed.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 19 Oct 2017 16:07:38 +0300

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  nghttp2-client,
  starlet,
  libuv1-dev
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 Homepage: https://h2o.examp1e.net
 Vcs-Git: https://anonscm.debian.org/collab-maint/h2o.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/h2o.git

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*// \
 https://github.com/h2o/h2o/releases	.*/archive/v(.*)\.tar\.gz

## h2o 2.2.4+dfsg

=== CMakeLists.txt ===
# Copyright (c) 2014,2015 DeNA Co., Ltd., Kazuho Oku, Brian Stanback, Laurentiu Nicola, Masanori Ogino, Ryosuke Matsumoto,
#                         David Carlier
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to
# deal in the Software without restriction, including without limitation the
# rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
# sell copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
# IN THE SOFTWARE.

CMAKE_MINIMUM_REQUIRED(VERSION 2.8.11)
CMAKE_POLICY(SET CMP0003 NEW)

PROJECT(h2o)

SET(VERSION_MAJOR "2")
SET(VERSION_MINOR "2")
SET(VERSION_PATCH "4")
SET(VERSION_PRERELEASE "")
SET(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_PRERELEASE}")
SET(LIBRARY_VERSION_MAJOR "0")
SET(LIBRARY_VERSION_MINOR "13")
SET(LIBRARY_VERSION_PATCH "4")
SET(LIBRARY_VERSION "${LIBRARY_VERSION_MAJOR}.${LIBRARY_VERSION_MINOR}.${LIBRARY_VERSION_PATCH}${VERSION_PRERELEASE}")
SET(LIBRARY_SOVERSION "${LIBRARY_VERSION_MAJOR}.${LIBRARY_VERSION_MINOR}")

INCLUDE(GNUInstallDirs)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/include/h2o/version.h)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/libh2o.pc.in ${CMAKE_CURRENT_BINARY_DIR}/libh2o.pc @ONLY)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/libh2o-evloop.pc.in ${CMAKE_CURRENT_BINARY_DIR}/libh2o-evloop.pc @ONLY)

SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

FIND_PACKAGE(PkgConfig)
FIND_PACKAGE(Threads REQUIRED)

FIND_PACKAGE(OpenSSL)
FIND_PACKAGE(ZLIB REQUIRED)

INCLUDE(CheckCSourceCompiles)
CHECK_C_SOURCE_COMPILES("
#include <stdint.h>
int main(void) {
uint64_t a;
__sync_add_and_fetch(&a, 1);
return 0;
}" ARCH_SUPPORTS_64BIT_ATOMICS)

SET(WITH_BUNDLED_SSL_DEFAULT "ON")
IF ((NOT UNIX) OR CYGWIN)
    SET(WITH_BUNDLED_SSL_DEFAULT "OFF")
ENDIF ((NOT UNIX) OR CYGWIN)
IF (OPENSSL_FOUND AND NOT (OPENSSL_VERSION VERSION_LESS "1.0.2"))
    SET(WITH_BUNDLED_SSL_DEFAULT "OFF")
ENDIF (OPENSSL_FOUND AND NOT (OPENSSL_VERSION VERSION_LESS "1.0.2"))
OPTION(WITH_BUNDLED_SSL "whether or not to use the bundled libressl" ${WITH_BUNDLED_SSL_DEFAULT})

OPTION(WITHOUT_LIBS "skip building libs even when possible" OFF)
OPTION(BUILD_SHARED_LIBS "whether to build a shared library" OFF)

FIND_PROGRAM(RUBY ruby)
FIND_PROGRAM(BISON bison)
IF (RUBY AND BISON)
    SET(WITH_MRUBY_DEFAULT "ON")
ELSE ()
    SET(WITH_MRUBY_DEFAULT "OFF")
ENDIF ()
OPTION(WITH_MRUBY "whether or not to build with mruby support" ${WITH_MRUBY_DEFAULT})

OPTION(WITH_PICOTLS "whether or not to build with picotls" "ON")

IF (WITH_BUNDLED_SSL)
    SET(BUNDLED_SSL_INCLUDE_DIR "${CMAKE_CURRENT_BINARY_DIR}/libressl-build/include")
    SET(BUNDLED_SSL_LIBRARIES "${CMAKE_CURRENT_BINARY_DIR}/libressl-build/lib/libssl.a" "${CMAKE_CURRENT_BINARY_DIR}/libressl-build/lib/libcrypto.a")
    ADD_CUSTOM_TARGET(bundled-ssl make -f ${CMAKE_CURRENT_SOURCE_DIR}/misc/libressl.mk SOURCE_DIR=${CMAKE_CURRENT_SOURCE_DIR}/misc
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
ELSE (WITH_BUNDLED_SSL)
    IF (NOT OPENSSL_FOUND)
        IF ((NOT UNIX) OR CYGWIN)
            MESSAGE(FATAL_ERROR "OpenSSL not found (and the bundled libressl cannot be used on this platform)")
        ENDIF ((NOT UNIX) OR CYGWIN)
        MESSAGE(FATAL_ERROR "OpenSSL not found (nor H2O was configured to used the bundled libressl)")
    ENDIF (NOT OPENSSL_FOUND)
    IF (OPENSSL_VERSION VERSION_LESS "1.0.2")
        MESSAGE(WARNING "*********************************************************************** OpenSSL 1.0.2 is required for HTTP/2 interoperability with web browsers ***********************************************************************")
    ENDIF (OPENSSL_VERSION VERSION_LESS "1.0.2")
    IF(OPENSSL_VERSION VERSION_EQUAL "1.1.0" AND OPENSSL_VERSION STRLESS "1.1.0g")
        MESSAGE(WARNING "*********************************************************************** OpenSSL 1.1.0 ~ 1.1.0f would cause session resumption failed when using external cache ***********************************************************************")
    ENDIF(OPENSSL_VERSION VERSION_EQUAL "1.1.0" AND OPENSSL_VERSION STRLESS "1.1.0g")
ENDIF (WITH_BUNDLED_SSL)

INCLUDE_DIRECTORIES(
    include
    deps/cloexec
    deps/brotli/enc
    deps/golombset
    deps/libgkc
    deps/libyrmcds
    deps/klib
    deps/neverbleed
    deps/picohttpparser
    deps/picotest
    deps/yaml/include
    deps/yoml)

IF (PKG_CONFIG_FOUND)
    PKG_CHECK_MODULES(LIBUV libuv>=1.0.0)
    IF (LIBUV_FOUND)
        INCLUDE_DIRECTORIES(${LIBUV_INCLUDE_DIRS})
        LINK_DIRECTORIES(${LIBUV_LIBRARY_DIRS})
    ENDIF (LIBUV_FOUND)
ENDIF (PKG_CONFIG_FOUND)
IF (NOT LIBUV_FOUND)
    FIND_PACKAGE(LibUV)
    IF (LIBUV_FOUND AND LIBUV_VERSION VERSION_LESS "1.0.0")
        MESSAGE(STATUS "libuv found but ignored; is too old")
        UNSET(LIBUV_FOUND)
    ENDIF ()
    IF (LIBUV_FOUND)
        INCLUDE_DIRECTORIES(${LIBUV_INCLUDE_DIR})
    ENDIF (LIBUV_FOUND)
ENDIF (NOT LIBUV_FOUND)
IF (NOT LIBUV_FOUND)
    SET(LIBUV_LIBRARIES -luv)
ENDIF (NOT LIBUV_FOUND)
IF (DISABLE_LIBUV)
    MESSAGE(STATUS "ignoring found libuv because of DISABLE_LIBUV")
    SET(LIBUV_FOUND FALSE)
ENDIF(DISABLE_LIBUV)

IF (PKG_CONFIG_FOUND)
    PKG_CHECK_MODULES(WSLAY libwslay)
    IF (WSLAY_FOUND)
        INCLUDE_DIRECTORIES(${WSLAY_INCLUDE_DIRS})
        LINK_DIRECTORIES(${WSLAY_LIBRARY_DIRS})
    ENDIF (WSLAY_FOUND)
ENDIF (PKG_CONFIG_FOUND)
IF (NOT WSLAY_FOUND)
    FIND_PACKAGE(Wslay)
    IF (WSLAY_FOUND)
        INCLUDE_DIRECTORIES(${WSLAY_INCLUDE_DIR})
    ENDIF (WSLAY_FOUND)
ENDIF (NOT WSLAY_FOUND)
IF (NOT WSLAY_FOUND)
    SET(WSLAY_LIBRARIES -lwslay)
ENDIF (NOT WSLAY_FOUND)

IF (ZLIB_FOUND)
    INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIRS})
    LINK_DIRECTORIES(${ZLIB_LIBRARY_DIRS})
ENDIF (ZLIB_FOUND)

SET(CC_WARNING_FLAGS "-Wall -Wno-unused-value -Wno-unused-function")
IF ("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU")
    IF (NOT ("${CMAKE_C_COMPILER_VERSION}" VERSION_LESS "4.6"))
        SET(CC_WARNING_FLAGS "${CC_WARNING_FLAGS} -Wno-unused-but-set-variable")
    ENDIF ()
    IF (NOT ("${CMAKE_C_COMPILER_VERSION}" VERSION_LESS "4.5"))
        SET(CC_WARNING_FLAGS "${CC_WARNING_FLAGS} -Wno-unused-result")
    ENDIF ()
ENDIF ()

SET(CMAKE_C_FLAGS "-O2 -g ${CC_WARNING_FLAGS} ${CMAKE_C_FLAGS} -DH2O_ROOT=\"${CMAKE_INSTALL_PREFIX}\" -DH2O_CONFIG_PATH=\"${CMAKE_INSTALL_SYSCONFDIR}/h2o.conf\"")

SET(LIBYAML_SOURCE_FILES
    deps/yaml/src/api.c
    deps/yaml/src/dumper.c
    deps/yaml/src/emitter.c
    deps/yaml/src/loader.c
    deps/yaml/src/parser.c
    deps/yaml/src/reader.c
    deps/yaml/src/scanner.c
    deps/yaml/src/writer.c)

SET(BROTLI_SOURCE_FILES
    deps/brotli/enc/backward_references.cc
    deps/brotli/enc/block_splitter.cc
    deps/brotli/enc/brotli_bit_stream.cc
    deps/brotli/enc/compress_fragment.cc
    deps/brotli/enc/compress_fragment_two_pass.cc
    deps/brotli/enc/dictionary.cc
    deps/brotli/enc/encode.cc
    deps/brotli/enc/entropy_encode.cc
    deps/brotli/enc/histogram.cc
    deps/brotli/enc/literal_cost.cc
    deps/brotli/enc/metablock.cc
    deps/brotli/enc/static_dict.cc
    deps/brotli/enc/streams.cc
    deps/brotli/enc/utf8_util.cc
    lib/handler/compress/brotli.cc)

SET(PICOTLS_INCLUDE_DIRECTORIES
    deps/picotls/deps/cifra/src/ext
    deps/picotls/deps/cifra/src
    deps/picotls/deps/micro-ecc
    deps/picotls/include)

SET(PICOTLS_SOURCE_FILES
    deps/picotls/deps/micro-ecc/uECC.c
    deps/picotls/deps/cifra/src/aes.c
    deps/picotls/deps/cifra/src/blockwise.c
    deps/picotls/deps/cifra/src/chash.c
    deps/picotls/deps/cifra/src/curve25519.c
    deps/picotls/deps/cifra/src/drbg.c
    deps/picotls/deps/cifra/src/hmac.c
    deps/picotls/deps/cifra/src/gcm.c
    deps/picotls/deps/cifra/src/gf128.c
    deps/picotls/deps/cifra/src/modes.c
    deps/picotls/deps/cifra/src/sha256.c
    deps/picotls/lib/picotls.c
    deps/picotls/lib/cifra.c
    deps/picotls/lib/uecc.c
    deps/picotls/lib/openssl.c)

SET(LIB_SOURCE_FILES
    deps/cloexec/cloexec.c
    deps/libgkc/gkc.c
    deps/libyrmcds/close.c
    deps/libyrmcds/connect.c
    deps/libyrmcds/recv.c
    deps/libyrmcds/send.c
    deps/libyrmcds/send_text.c
    deps/libyrmcds/socket.c
    deps/libyrmcds/strerror.c
    deps/libyrmcds/text_mode.c
    deps/picohttpparser/picohttpparser.c

    lib/common/cache.c
    lib/common/file.c
    lib/common/filecache.c
    lib/common/hostinfo.c
    lib/common/http1client.c
    lib/common/memcached.c
    lib/common/memory.c
    lib/common/multithread.c
    lib/common/serverutil.c
    lib/common/socket.c
    lib/common/socketpool.c
    lib/common/string.c
    lib/common/time.c
    lib/common/timeout.c
    lib/common/url.c

    lib/core/config.c
    lib/core/configurator.c
    lib/core/context.c
    lib/core/headers.c
    lib/core/logconf.c
    lib/core/proxy.c
    lib/core/request.c
    lib/core/token.c
    lib/core/util.c

    lib/handler/access_log.c
    lib/handler/chunked.c
    lib/handler/compress.c
    lib/handler/compress/gzip.c
    lib/handler/errordoc.c
    lib/handler/expires.c
    lib/handler/fastcgi.c
    lib/handler/file.c
    lib/handler/headers.c
    lib/handler/mimemap.c
    lib/handler/proxy.c
    lib/handler/redirect.c
    lib/handler/reproxy.c
    lib/handler/throttle_resp.c
    lib/handler/status.c
    lib/handler/headers_util.c
    lib/handler/status/events.c
    lib/handler/status/requests.c
    lib/handler/http2_debug_state.c
    lib/handler/status/durations.c
    lib/handler/configurator/access_log.c
    lib/handler/configurator/compress.c
    lib/handler/configurator/errordoc.c
    lib/handler/configurator/expires.c
    lib/handler/configurator/fastcgi.c
    lib/handler/configurator/file.c
    lib/handler/configurator/headers.c
    lib/handler/configurator/proxy.c
    lib/handler/configurator/redirect.c
    lib/handler/configurator/reproxy.c
    lib/handler/configurator/throttle_resp.c
    lib/handler/configurator/status.c
    lib/handler/configurator/http2_debug_state.c
    lib/handler/configurator/headers_util.c

    lib/http1.c

    lib/tunnel.c

    lib/http2/cache_digests.c
    lib/http2/casper.c
    lib/http2/connection.c
    lib/http2/frame.c
    lib/http2/hpack.c
    lib/http2/scheduler.c
    lib/http2/stream.c
    lib/http2/http2_debug_state.c)

SET(UNIT_TEST_SOURCE_FILES
    ${LIB_SOURCE_FILES}
    ${LIBYAML_SOURCE_FILES}
    ${BROTLI_SOURCE_FILES}
    deps/picotest/picotest.c
    t/00unit/test.c
    t/00unit/lib/common/cache.c
    t/00unit/lib/common/hostinfo.c
    t/00unit/lib/common/multithread.c
    t/00unit/lib/common/serverutil.c
    t/00unit/lib/common/socket.c
    t/00unit/lib/common/string.c
    t/00unit/lib/common/time.c
    t/00unit/lib/common/url.c
    t/00unit/lib/core/headers.c
    t/00unit/lib/core/proxy.c
    t/00unit/lib/core/util.c
    t/00unit/lib/handler/compress.c
    t/00unit/lib/handler/fastcgi.c
    t/00unit/lib/handler/file.c
    t/00unit/lib/handler/headers.c
    t/00unit/lib/handler/mimemap.c
    t/00unit/lib/handler/redirect.c
    t/00unit/lib/http2/cache_digests.c
    t/00unit/lib/http2/casper.c
    t/00unit/lib/http2/hpack.c
    t/00unit/lib/http2/scheduler.c
    t/00unit/src/ssl.c
    t/00unit/issues/293.c
    t/00unit/issues/percent-encode-zero-byte.c)

=== deps/picotls/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.11)
CMAKE_POLICY(SET CMP0003 NEW)

PROJECT(picotls)

FIND_PACKAGE(PkgConfig REQUIRED)

SET(CMAKE_C_FLAGS "-std=c99 -Wall -O2 -g ${CC_WARNING_FLAGS} ${CMAKE_C_FLAGS}")
INCLUDE_DIRECTORIES(${OPENSSL_INCLUDE_DIR} deps/cifra/src/ext deps/cifra/src deps/micro-ecc deps/picotest include)
SET(MINICRYPTO_LIBRARY_FILES
    deps/micro-ecc/uECC.c
    deps/cifra/src/aes.c
    deps/cifra/src/blockwise.c
    deps/cifra/src/chash.c
    deps/cifra/src/curve25519.c
    deps/cifra/src/drbg.c
    deps/cifra/src/hmac.c
    deps/cifra/src/gcm.c
    deps/cifra/src/gf128.c
    deps/cifra/src/modes.c
    deps/cifra/src/sha256.c)

ADD_LIBRARY(picotls-core lib/picotls.c)
ADD_LIBRARY(picotls-minicrypto ${MINICRYPTO_LIBRARY_FILES} lib/cifra.c lib/uecc.c)
ADD_EXECUTABLE(test-minicrypto.t ${MINICRYPTO_LIBRARY_FILES} deps/picotest/picotest.c t/picotls.c t/minicrypto.c)

SET(TEST_EXES test-minicrypto.t)

FIND_PACKAGE(OpenSSL)
IF (OPENSSL_FOUND AND NOT (OPENSSL_VERSION VERSION_LESS "1.0.1"))
    MESSAGE(WARNING "Enabling OpenSSL support")
    INCLUDE_DIRECTORIES(${OPENSSL_INCLUDE_DIR})
    ADD_LIBRARY(picotls-openssl lib/openssl.c)
    ADD_EXECUTABLE(cli t/cli.c)
    TARGET_LINK_LIBRARIES(cli picotls-openssl picotls-core ${OPENSSL_LIBRARIES})
    ADD_EXECUTABLE(test-openssl.t ${MINICRYPTO_LIBRARY_FILES} lib/cifra.c lib/uecc.c deps/picotest/picotest.c t/picotls.c t/openssl.c)
    SET_TARGET_PROPERTIES(test-openssl.t PROPERTIES COMPILE_FLAGS "-DPTLS_MEMORY_DEBUG=1")
    TARGET_LINK_LIBRARIES(test-openssl.t ${OPENSSL_LIBRARIES})
    SET(TEST_EXES ${TEST_EXES} test-openssl.t)
ELSE ()
    MESSAGE(WARNING "Disabling OpenSSL support (requires 1.0.1 or newer)")
ENDIF ()

ADD_CUSTOM_TARGET(check prove --exec '' -v ./*.t DEPENDS ${TEST_EXES})

IF ("${CMAKE_SYSTEM_NAME}" MATCHES "SunOS")
    TARGET_LINK_LIBRARIES(cli "socket" "nsl")
ENDIF ()

=== deps/picotls/deps/cifra/src/Makefile ===
CFLAGS += -g -O0 -std=gnu99 -fPIC -Wall -Wextra -Werror \
	  -Wno-unused-parameter -Wno-missing-field-initializers
CPPFLAGS += -I./ext

ifdef WITH_ASAN
	LDFLAGS += -fsanitize=address
	CFLAGS += -fsanitize=address
endif

ifdef WITH_COVERAGE
	LDFLAGS += -coverage
	CFLAGS += -coverage
endif

ifdef WITH_VALGRIND
	VALGRIND := valgrind --leak-check=full --show-reachable=yes --track-origins=yes
	TEST_OPT := --no-exec
endif

TARGETS = testaes testmodes testsha1 testsha2 testsha3 testsalsa20 \
	  testcurve25519 testpoly1305 testnorx testchacha20poly1305 \
	  testdrbg
all: $(TARGETS)

SOURCES = aes.o sha256.o sha512.o chash.o hmac.o pbkdf2.o modes.o eax.o \
	  gf128.o blockwise.o cmac.o salsa20.o chacha20.o curve25519.o \
	  gcm.o cbcmac.o ccm.o sha3.o sha1.o poly1305.o \
	  norx.o chacha20poly1305.o drbg.o ocb.o

testaes: $(SOURCES) testaes.o
testmodes: $(SOURCES) testmodes.o
testsha1: $(SOURCES) testsha1.o
testsha2: $(SOURCES) testsha2.o
testsha3: $(SOURCES) testsha3.o
testsalsa20: $(SOURCES) testsalsa20.o
testcurve25519: $(SOURCES) testcurve25519.o
testpoly1305: $(SOURCES) testpoly1305.o
testnorx: $(SOURCES) testnorx.o
testchacha20poly1305: $(SOURCES) testchacha20poly1305.o
testdrbg: $(SOURCES) testdrbg.o

clean:
	rm -f *.o *.pyc $(TARGETS) *.gcov *.gcda *.gcno

test: $(TARGETS)
	for x in $(TARGETS) ; do \
		echo "Running $$x" ; \
		$(VALGRIND) ./$$x $(TEST_OPT) ; \
	done

cover: test
	gcov *.c
	echo 'Lines with missing coverage:'
	grep '#####' *.gcov | grep -vE '(cutest|testutil).h.gcov'

=== debian/changelog ===
h2o (2.2.4+dfsg-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 07 Feb 2018 11:35:35 +0000

h2o (2.2.4+dfsg-1) unstable; urgency=high

  * New upstream bugfix release
    + Fix crash when logging TLS 1.3 properties (CVE-2017-10872)
    + Fix crash when handling malformed HTTP/2 request (CVE-2017-10908)
  * Drop patches merged upstream:
    + fix-mruby-proc.patch
    + fix-segfault-on-big-endian.patch
  * Bump Standards-Version to 4.1.2; no changes needed

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 21 Dec 2017 10:58:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: h2o
 Section: httpd
 Priority: optional
-Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
 Uploaders: Anton Gladky <gladk@debian.org>
 Build-Depends:
  debhelper (>= 10),
@@ -24,7 +25,7 @@
  nghttp2-client,
  starlet,
  libuv1-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.2
 Homepage: https://h2o.examp1e.net
 Vcs-Git: https://anonscm.debian.org/collab-maint/h2o.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/h2o.git

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 #export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 # Disable the following tests as they require network access
-BAD_TESTS=10http1client 50reverse-proxy-added-headers 50reverse-proxy-https 80invalid-h2-chars-in-headers 40server-push
+BAD_TESTS=10http1client 50reverse-proxy-added-headers 50reverse-proxy-drop-headers 50reverse-proxy-https 80invalid-h2-chars-in-headers 40server-push
 
 %:
 	dh $@
@@ -30,7 +30,7 @@
 
 override_dh_installinit:
 	# Do not do a full restart, just a graceful reload
-	dh_installinit --no-restart-on-upgrade
+	dh_installinit --no-restart-after-upgrade --no-stop-on-upgrade
 
 override_dh_missing:
 	dh_missing --fail-missing

=== debian/tests/control ===
Tests: status
Depends: h2o, curl, jq

## h2o 2.2.5%2Bdfsg2

=== deps/picotls/deps/cifra/shitlisp/Makefile ===
CFLAGS += -g -O0 -std=gnu99 -fPIC -Wall -Wextra -Werror -Wno-unused-parameter
CPPFLAGS += -I../src -I../../bignum/out -I../../shitlisp/out

all: cifra.so

SOURCES = aes.o sha256.o sha512.o chash.o hmac.o pbkdf2.o modes.o eax.o \
	  blockwise.o cmac.o salsa20.o chacha20.o curve25519.o

cifra.so: $(addprefix ../src/, $(SOURCES)) sl-cifra.o
	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $^ -shared

clean:
	rm -f *.o *.pyc $(TARGETS) *.gcov *.gcda *.gcno

test: $(wildcard test-*.sl) cifra.so
	../../shitlisp/out/shitlisp --mod=./cifra.so $(wildcard test-*.sl)

=== debian/changelog ===
h2o (2.2.5+dfsg2-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062336

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 09:55:36 +0000

h2o (2.2.5+dfsg2-8) unstable; urgency=high

  * [b195d95] CVE-2023-44487. Fix http2-issue. (Closes: #1054232)
  * [900b294] Fix autopkgtests.
  * [2f71fb0] Update lintian override info format in d/s/lintian-overrides.
  * [bfabe04] Update watch file format version to 4.
  * [cfa4161] Bump debhelper from old 12 to 13.xi
              + Drop check for DEB_BUILD_OPTIONS containing
                "nocheck", since debhelper now does this.
              + debian/rules: Drop --fail-missing argument to dh_missing,
                which is now the default.
  * [7928015] Set upstream metadata fields: Bug-Database, Bug-Submit,
              Repository-Browse.
  * [696c231] Update standards version to 4.6.2, no changes needed.

 -- Anton Gladky <gladk@debian.org>  Fri, 20 Oct 2023 06:24:36 +0200

h2o (2.2.5+dfsg2-7) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove VCS tags from picohttpparser source files
  * Disable failing mruby test (Closes: #1032554)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 21 Mar 2023 12:40:38 +0000

h2o (2.2.5+dfsg2-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * [b6d1fc7] Remove unsupported hash parameters to FileUtils methods.
    Fixes FTBFS. (Closes: #1008426)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 13 Apr 2022 20:41:51 +0000

h2o (2.2.5+dfsg2-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Avoid FTBFS issues uncovered by gcc-11 migration: (Closes: #984165)
    * Build-Depend on libfcgi-procmanager-perl for test t/50fastcgi.t.
    * Disable broken t/50mruby-htpasswd.t test, apparently caused
      by mruby 3.0 internal changes.

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 17 Oct 2021 11:38:52 +0000

h2o (2.2.5+dfsg2-6) unstable; urgency=medium

  * [945c43b] Add gitlab-ci.yml
  * [22724e5] Disable two more unreliable tests
  * [2c3714d] Update d/h2o.install

 -- Anton Gladky <gladk@debian.org>  Wed, 16 Dec 2020 21:06:10 +0100

h2o (2.2.5+dfsg2-5) unstable; urgency=medium

  * [b19623a] Add Rules-Requires-Root: no

 -- Anton Gladky <gladk@debian.org>  Sat, 02 May 2020 09:14:13 +0200

h2o (2.2.5+dfsg2-4) unstable; urgency=medium

  * [e718f97] Set compat-level to 12
  * [02abfa2] Set Standards-Version to 4.5.0
  * [4d1da12] Mark package libh2o-dev-common as Multi-Arch: foreign.
              (Closes: #956567)
  * [fb0248b] Add Pre-Depends to h2o

 -- Anton Gladky <gladk@debian.org>  Tue, 28 Apr 2020 18:36:01 +0200

h2o (2.2.5+dfsg2-3) unstable; urgency=high

  * [d9b7843] Fix HTTP/2 DoS attack vulnerabilities.
              CVE-2019-9512 CVE-2019-9514 CVE-2019-9515. (Closes: #934886)

 -- Anton Gladky <gladk@debian.org>  Tue, 20 Aug 2019 22:29:07 +0200

h2o (2.2.5+dfsg2-2) unstable; urgency=medium

  * Rebuild against new wslay

 -- Anton Gladky <gladk@debian.org>  Mon, 01 Oct 2018 21:55:29 +0200

h2o (2.2.5+dfsg2-1) unstable; urgency=medium

  * d/watch: mangle upstream alpha/beta/rc versions.
  * Modify upstream source to use the system's jquery and repack, bumping dfsg
    revision in the process.
  * Disable some tests broken by unexpected TLSv1.3 client support  and force
    TLSv1.2 on all s_client test invocations. (Closes: #908136)
  * Link libh2o and libh2o-evloop against libwslay. (Closes: #908124)
  * Bump Standards-Version to 4.2.1; no changes needed.
  * d/rules: respect the nocheck build option.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 22 Sep 2018 23:33:20 +0300

h2o (2.2.5+dfsg1-6) unstable; urgency=medium

  * [e77f4db] Add sleep between server creation and client connection
              in autopkgtest to be sure that the server is up and running

 -- Anton Gladky <gladk@debian.org>  Mon, 04 Jun 2018 23:40:06 +0200

h2o (2.2.5+dfsg1-5) unstable; urgency=medium

  * [e1f7662] Add allow-stderr to pass autopkgtest. (Closes: #900745)

 -- Anton Gladky <gladk@debian.org>  Mon, 04 Jun 2018 18:55:13 +0200

h2o (2.2.5+dfsg1-4) unstable; urgency=medium

  * [4836952] Use compat-level 11
  * [3f5add2] Disable two tests failing on mips64el
  * [ea6a746] Add libh2o-server autopkgtest
  * [5a1ed1a] Add libh2o-client autopkgtest

 -- Anton Gladky <gladk@debian.org>  Sun, 03 Jun 2018 20:06:33 +0200

h2o (2.2.5+dfsg1-3) unstable; urgency=medium

  * [4b728d8] Fix docs installation

 -- Anton Gladky <gladk@debian.org>  Sun, 03 Jun 2018 07:38:18 +0200

h2o (2.2.5+dfsg1-2) unstable; urgency=medium

  * [cfc739c] Switch back to compat-level 10 to fix FTBFS

 -- Anton Gladky <gladk@debian.org>  Sat, 02 Jun 2018 20:20:30 +0200

h2o (2.2.5+dfsg1-1) unstable; urgency=medium

  * [e6f08d1] Update d/copyright and d/watch
  * [a3ce271] Fix typo in patch
  * [39d32ca] Use compat level 11
  * [c2aefeb] Use packaged version of jquery.min.js
  * New upstream version 2.2.5+dfsg1

 -- Anton Gladky <gladk@debian.org>  Sat, 02 Jun 2018 17:25:36 +0200

h2o (2.2.4+dfsg-2) unstable; urgency=medium

  * Add ruby to build-depends. (Closes: #897510)
  * Apply cme fix dpkg-copyright
  * Apply cme fix dpkg-control
  * Set Standards-Version: 4.1.3
  * Sort build-depends alphabetically
  * control: update Vcs-Browser and Vcs-Git

 -- Anton Gladky <gladk@debian.org>  Wed, 02 May 2018 23:36:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,50 +1,59 @@
 Source: h2o
+Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
+Uploaders: Anton Gladky <gladk@debian.org>
 Section: httpd
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
-Uploaders: Anton Gladky <gladk@debian.org>
-Build-Depends:
- debhelper (>= 10),
- cmake,
- pkg-config,
- bison,
- ruby-dev,
- libyaml-dev,
- zlib1g-dev,
- libssl-dev,
- libio-socket-ssl-perl,
- libjson-perl,
- libpath-tiny-perl,
- libscope-guard-perl,
- libtest-exception-perl,
- libwslay-dev,
- curl,
- wget,
- netcat-openbsd,
- nghttp2-client,
- starlet,
- libuv1-dev
-Standards-Version: 4.1.2
+Rules-Requires-Root: no
+Build-Depends: dpkg-dev (>= 1.22.5), bison,
+               cmake,
+               curl,
+               debhelper-compat (= 13),
+               libfcgi-procmanager-perl,
+               libio-socket-ssl-perl,
+               libjson-perl,
+               libpath-tiny-perl,
+               libscope-guard-perl,
+               libssl-dev,
+               libtest-exception-perl,
+               libuv1-dev,
+               libwslay-dev,
+               libyaml-dev,
+               netcat-openbsd,
+               nghttp2-client,
+               pkg-config,
+               ruby-dev,
+               ruby,
+               starlet,
+               wget,
+               zlib1g-dev
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/debian/h2o
+Vcs-Git: https://salsa.debian.org/debian/h2o.git
 Homepage: https://h2o.examp1e.net
-Vcs-Git: https://anonscm.debian.org/collab-maint/h2o.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/h2o.git
 
 Package: h2o
 Architecture: any
-Depends: adduser, apache2-utils, ${misc:Depends}, ${shlibs:Depends}
+Depends: adduser,
+         apache2-utils,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: optimized HTTP/1.x, HTTP/2 server
  H2O is a new generation HTTP server that provides quicker response to users
  with less CPU utilization when compared to older web servers.  Designed from
  ground-up, the server takes full advantage of HTTP/2 features including
  prioritized content serving and server push.
 
-Package: libh2o0.13
+Package: libh2o0.13t64
+Provides: ${t64:Provides}
+Replaces: libh2o0.13
+Breaks: libh2o0.13 (<< ${source:Version})
 Architecture: any
+Multi-Arch: same
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
 Description: H2O library compiled with libuv
  H2O is a new generation HTTP server that provides quicker response to users
  with less CPU utilization when compared to older generation of web servers.
@@ -55,12 +64,16 @@
  This package provides the H2O library compiled with libuv which allows you to
  link your own software to H2O
 
-Package: libh2o-evloop0.13
+Package: libh2o-evloop0.13t64
+Provides: ${t64:Provides}
+Replaces: libh2o-evloop0.13
+Breaks: libh2o-evloop0.13 (<< ${source:Version})
 Architecture: any
+Multi-Arch: same
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
 Description: H2O library compiled with its own event loop
  H2O is a new generation HTTP server that provides quicker response to users
  with less CPU utilization when compared to older generation of web servers.
@@ -74,7 +87,9 @@
 Package: libh2o-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libh2o0.13 (= ${binary:Version}), libh2o-dev-common (= ${source:Version})
+Depends: ${misc:Depends},
+         libh2o0.13t64 (= ${binary:Version}),
+         libh2o-dev-common (= ${source:Version})
 Description: dev helpers of the H2O library compiled with libuv
  H2O is a new generation HTTP server that provides quicker response to users
  with less CPU utilization when compared to older generation of web servers.
@@ -88,7 +103,9 @@
 Package: libh2o-evloop-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libh2o-evloop0.13 (= ${binary:Version}), libh2o-dev-common (= ${source:Version})
+Depends: ${misc:Depends},
+         libh2o-evloop0.13t64 (= ${binary:Version}),
+         libh2o-dev-common (= ${source:Version})
 Description: dev helpers of the H2O library compiled with its own event loop
  H2O is a new generation HTTP server that provides quicker response to users
  with less CPU utilization when compared to older generation of web servers.
@@ -101,8 +118,10 @@
 
 Package: libh2o-dev-common
 Architecture: all
+Multi-Arch: foreign
 Section: libdevel
-Depends: ${misc:Depends}, libh2o0.13 (>= ${source:Version}) | libh2o-evloop0.13 (>= ${source:Version})
+Depends: ${misc:Depends},
+         libh2o0.13t64 (>= ${source:Version}) | libh2o-evloop0.13t64 (>= ${source:Version})
 Description: H2O library headers
  H2O is a new generation HTTP server that provides quicker response to users
  with less CPU utilization when compared to older generation of web servers.
@@ -115,7 +134,8 @@
 Package: h2o-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+         libjs-jquery
 Description: optimized HTTP/1.x, HTTP/2 server - documentation
  H2O is a new generation HTTP server that provides quicker response to users
  with less CPU utilization when compared to older web servers.  Designed from
